## org.apache.xalan.xsltc.dom
Class SimpleResultTreeImpl.SingletonIterator

    java.lang.Object
      org.apache.xml.dtm.ref.DTMAxisIteratorBase
          org.apache.xalan.xsltc.dom.SimpleResultTreeImpl.SingletonIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Enclosing class:
  SimpleResultTreeImpl

    public final class SimpleResultTreeImpl.SingletonIterator

extends DTMAxisIteratorBase

The SingletonIterator is used for the self axis.

Field Summary

Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator
`END`

Constructor Summary
`SimpleResultTreeImpl.SingletonIterator()`
`SimpleResultTreeImpl.SingletonIterator(int type)`

Method Summary
`void` `gotoMark()` Restores the current node remembered by setMark().
`int` `next()` Get the next node in the iteration.
`void` `setMark()` Remembers the current node for the next call to gotoMark().
`DTMAxisIterator` `setStartNode(int nodeHandle)` Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleResultTreeImpl.SingletonIterator

    public SimpleResultTreeImpl.SingletonIterator()

### SimpleResultTreeImpl.SingletonIterator

    public SimpleResultTreeImpl.SingletonIterator(int type)

Method Detail

### setMark

    public void setMark()

  Description copied from interface: `DTMAxisIterator`
  Remembers the current node for the next call to gotoMark().

### gotoMark

    public void gotoMark()

  Description copied from interface: `DTMAxisIterator`
  Restores the current node remembered by setMark().

### setStartNode

    public DTMAxisIterator setStartNode(int nodeHandle)

  Description copied from interface: `DTMAxisIterator`
  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

  Parameters:
    `nodeHandle` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### next

    public int next()

  Description copied from interface: `DTMAxisIterator`
  Get the next node in the iteration.

  Returns:
    The next node handle in the iteration, or END.

Copyright © 2005 Apache XML Project. All Rights Reserved.